%global github_name tinytuya
%global _description\
Python module to interface with Tuya WiFi smart devices


Name:           python-%{github_name}
Version:        1.13.2
Release:        1%{?dist}
Summary:        Python module to interface with Tuya WiFi smart devices

License:        MIT
URL:            https://github.com/jasonacox/tinytuya
Source0:        https://github.com/jasonacox/%{github_name}/archive/refs/tags/v%{version}.tar.gz#/%{github_name}-%{version}.tar.gz
BuildArch:      noarch


%description %_description


%package -n python3-%{github_name}
Summary:        %{summary}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(colorama)

%generate_buildrequires
%pyproject_buildrequires -r

%description -n python3-%{github_name}
%_description

%prep
%autosetup -p1 -n %{github_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{github_name}

%check
%py3_check_import tinytuya

%files -n python3-%{github_name} -f %{pyproject_files}
%doc README.md
%doc RELEASE.md
%license LICENSE

%changelog
* Sun Feb 25 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 1.13.2-1
- New release 1.13.2

* Thu Nov 16 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.13.1-1
- New release 1.13.1

* Wed Nov 15 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.13.0-2
- Remove old dependicies and use PyCA cryptography

* Wed Nov 15 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.13.0-1
- New release 1.13.0

* Fri Jun 02 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.8-1
- New release 1.12.8

* Thu May 11 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.7-1
- New release 1.12.7

* Sat May 06 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.6-1
- New release 1.12.6

* Mon Apr 24 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.5-1
- New release 1.12.5

* Tue Apr 18 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.4-1
- New release 1.12.4

* Wed Apr 12 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.3-1
- New release 1.12.3

* Sat Mar 25 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.12.2-1
- New release 1.12.2

* Sun Mar 05 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.11.0-1
- New release 1.11.0

* Sun Feb 26 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.10.3-1
- New release 1.10.3

* Fri Feb 10 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.10.2-1
- New release 1.10.2

* Mon Jan 30 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.10.1-1
- New release 1.10.1

* Tue Jan 17 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.10.0-1
- New release 1.10.0

* Sun Dec 11 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 1.9.1-1
- Initial packaging
